Ticket #36219

- v1.3.8 TweenMain.RestoreListViewScrollメソッド内でNullReferenceException

Open Date: 2016-03-31 23:16 Last Update: 2017-08-13 12:46

Reporter: upsilon Owner: upsilon
Type: エラーログ Status: Closed
Component: (None) MileStone: v1.3.9 (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

動作環境:
   オペレーティング システム: Microsoft Windows NT 6.1.7601 Service Pack 1
   共通言語ランタイム: 4.0.30319.42000
   OpenTween.exeのバージョン: 1.3.1.0
例外 System.NullReferenceException: オブジェクト参照がオブジェクト インスタンスに設定されていません。
   場所 System.Windows.Forms.ListView.set_TopItem(ListViewItem value)
   場所 OpenTween.TweenMain.RestoreListViewScroll(DetailsListView listView, TabClass tab, ListViewScroll listScroll)
   場所 OpenTween.TweenMain.RefreshTimeline()
   場所 OpenTween.OTBaseForm.<>c__DisplayClass10_0.<InvokeAsync>b__0()
   場所 OpenTween.OTBaseForm.<>c__DisplayClass11_0`1.<InvokeAsync>b__0(Object _)
--- 直前に例外がスローされた場所からのスタック トレースの終わり ---
   場所 System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   場所 System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   場所 OpenTween.TweenMain.<tw_NewPostFromStream>d__569.MoveNext()
--- 直前に例外がスローされた場所からのスタック トレースの終わり ---
   場所 System.Runtime.CompilerServices.AsyncMethodBuilderCore.<>c.<ThrowAsync>b__6_1(Object state)
   場所 System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   場所 System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   場所 System.Threading.QueueUserWorkItemCallback.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem()
   場所 System.Threading.ThreadPoolWorkQueue.Dispatch()

Attachment File List

No attachments

Ticket History (3/6 Histories)

2016-03-31 23:16 Updated by: upsilon
  • New Ticket "TweenMain.RestoreListViewScrollメソッド内でNullReferenceException" created
2017-01-19 00:56 Updated by: upsilon
  • Summary Updated
Comment

v1.3.6 でも報告されている

動作環境:
   オペレーティング システム: Microsoft Windows NT 6.1.7601 Service Pack 1
   共通言語ランタイム: 4.0.30319.42000
   OpenTween.exeのバージョン: 1.3.6.0
例外 System.AggregateException: タスクの例外が、タスクの待機によっても、タスクの Exception プロパティへのアクセスによっても監視されませんでした。その結果、監視されていない例外がファイナライザー スレッドによって再スローされました。


-----InnerException[0]-----

例外 System.NullReferenceException: オブジェクト参照がオブジェクト インスタンスに設定されていません。
   場所 System.Windows.Forms.ListView.set_TopItem(ListViewItem value)
   場所 OpenTween.TweenMain.RestoreListViewScroll(DetailsListView listView, TabModel tab, ListViewScroll listScroll)
   場所 OpenTween.TweenMain.RefreshTimeline()
   場所 OpenTween.TweenMain.<GetFavoritesAsync>d__174.MoveNext()
2017-06-04 14:07 Updated by: upsilon
  • Summary Updated
Comment

v1.3.7 でも報告されている

動作環境:
   オペレーティング システム: Microsoft Windows NT 6.1.7601 Service Pack 1
   共通言語ランタイム: 4.0.30319.42000
   OpenTween.exeのバージョン: 1.3.7.0
例外 System.NullReferenceException: Object reference not set to an instance of an object.
   at System.Windows.Forms.ListView.set_TopItem(ListViewItem value)
   at OpenTween.TweenMain.RestoreListViewScroll(DetailsListView listView, TabModel tab, ListViewScroll listScroll)
   at OpenTween.TweenMain.RefreshTimeline()
   at OpenTween.TweenMain.<tw_NewPostFromStream>b__510_0()
   at OpenTween.OTBaseForm.<>c__DisplayClass10_0.<InvokeAsync>b__0()
   at OpenTween.OTBaseForm.<>c__DisplayClass13_0`1.<InvokeAsync>b__0(Object _)
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at OpenTween.TweenMain.<tw_NewPostFromStream>d__510.MoveNext()
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.AsyncMethodBuilderCore.<>c.<ThrowAsync>b__6_1(Object state)
   at System.Threading.QueueUserWorkItemCallback.WaitCallback_Context(Object state)
   at System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   at System.Threading.QueueUserWorkItemCallback.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem()
   at System.Threading.ThreadPoolWorkQueue.Dispatch()
   at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback()
2017-07-02 16:38 Updated by: upsilon
  • Summary Updated
Comment

v1.3.8 でも報告されている

動作環境:
   オペレーティング システム: Microsoft Windows NT 10.0.15063.0
   共通言語ランタイム: 4.0.30319.42000
   OpenTween.exeのバージョン: 1.3.8.0
例外 System.NullReferenceException: オブジェクト参照がオブジェクト インスタンスに設定されていません。
   場所 System.Windows.Forms.ListView.set_TopItem(ListViewItem value)
   場所 OpenTween.TweenMain.RestoreListViewScroll(DetailsListView listView, TabModel tab, ListViewScroll listScroll)
   場所 OpenTween.TweenMain.RefreshTimeline()
   場所 OpenTween.TweenMain.<GetPublicSearchAsync>d__176.MoveNext()
--- 直前に例外がスローされた場所からのスタック トレースの終わり ---
   場所 System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()
   場所 System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   場所 OpenTween.TweenMain.<TimerTimeline_Elapsed>d__134.MoveNext()
--- 直前に例外がスローされた場所からのスタック トレースの終わり ---
   場所 System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()
2017-08-13 04:03 Updated by: upsilon
  • Milestone Update from (None) to v1.3.9 (closed)
  • Owner Update from (None) to upsilon
2017-08-13 12:46 Updated by: upsilon
  • Ticket Close date is changed to 2017-08-13 12:46
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

下記コミットにて修正しました。v1.3.9 から反映されます。

https://osdn.net/projects/opentween/scm/git/open-tween/commits/ca3e80a7816850cbe2fcd6f6bf1c84d4223d4374

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login